<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.convenient.android.lib">

    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE" />

    <application
        android:allowBackup="false"
        android:name=".LibApplication"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:usesCleartextTraffic="true"
        android:theme="@style/Theme.Lib"
        tools:replace="android:allowBackup"
        tools:targetApi="31">

        <activity
            android:name=".ui.sample.ad.activity.AppWelcomeActivity"
            android:exported="true" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.sample.ad.activity.AdNativeTemplateActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.activity.AdAppOpenActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.activity.AdFullScreenAdActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.activity.AdNativeListActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.activity.AdNativeActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.activity.AdBannerActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.AdMainActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.media.MediaSampleActivity"
            android:exported="false" />
        <activity
            android:name="com.convenient.android.lib.ui.sample.MainActivity"
            android:exported="false">

        </activity>
        <activity android:name=".DateUtilActivity" />

        <meta-data
            android:name="com.google.android.gms.ads.APPLICATION_ID"
            android:value="ca-app-pub-3940256099942544~3347511713"/>
    </application>

</manifest>